---
search:
  tags:
    - Relations
    - GET
seo:
  description: >-
    Retrieve all product relations defined within an application,… Reference for
    the GET /api/v1/{team_slug}/{app_slug}/relations endpoint in the Management
    API.
sidebar:
  label: List all relations in an app
  badge: GET
title: List all relations in an app
type: openapi-operation
---
Retrieve all product relations defined within an application, including their associated products

`GET /api/v1/{team_slug}/{app_slug}/relations`

**Responses**

- `200` — Relations
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "direction": "string",
      "id": "string",
      "primary_product_id": "string",
      "products": [
        {
          "description": "string",
          "id": "string",
          "image_url": "string",
          "product_name": "string",
          "product_number": "string",
          "slug": "string"
        }
      ],
      "title": "string",
      "type": "string",
      "type_id": "string"
    }
  ],
  "details": [
    "string"
  ],
  "success": true
}
```
